Bug 779418 - (SOA-1806) Defer creation of JMS connection in JmsMessageService and JmsSchedulerService until first use
Defer creation of JMS connection in JmsMessageService and JmsSchedulerService...
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB, Performance (Show other bugs)
5.0.0 ER6
Unspecified Unspecified
urgent Severity urgent
: ---
: 5.0.0 GA,5.0.0 ER7
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-08 11:59 EST by Pavel Macik
Modified: 2010-01-28 06:01 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-28 06:01:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-1806 None None None Never

  None (edit)
Description Pavel Macik 2010-01-08 11:59:43 EST
Date of First Response: 2010-01-09 03:26:33
project_key: SOA
Comment 1 Kevin Conner 2010-01-08 12:00:10 EST
Link: Added: This issue depends JBESB-3107
Comment 2 Kevin Conner 2010-01-09 03:26:33 EST
The change has been made to the ESB codebase, will be in the next merge.
Comment 3 Kevin Conner 2010-01-12 15:59:37 EST
The performance tests on the qe box do not show a great improvement after this fix, I'll need to do some further investigation in the morning.

I am still doing the ER7 tag tonight however, so that we can get a better view of the other changes.
Comment 4 Kevin Conner 2010-01-13 14:19:48 EST
Profiling the qe test on ER7 shows a comparable result to the ER5 runs, so perhaps I have misunderstood the output of this test.
Comment 5 Pavel Macik 2010-01-28 06:01:33 EST
Verified in ER7

Note You need to log in before you can comment on or make changes to this bug.